<h1> Listado de Inspectores</h1>
<hr>

<div class="row text-right">
    <div class="col">
        <button routerLink="/inspector/nuevo" class = "btn btn-primary">
            <i class="fa fa-plus"></i>
            Agregar
        </button>
    </div>
</div>

<table *ngIf="!cargando && inspectores.length > 0" class="table mt-3 animated fadeIn faster">
    <thead class="thead-dark">
      <tr>
        <th scope="col">Nombre</th>
        <th scope="col">Apellido</th>
        <th scope="col">Documento</th>
        <th scope="col">Legajo</th>
        <th scope="col">Acciones</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let inspector of inspectores; let i = index">
        <td>{{inspector.nombre}}</td>
        <td>{{inspector.apellido}}</td>
        <td>{{inspector.dni}}</td>
        <td>{{inspector.legajo}}</td>

      <td>
        <button class = "btn btn-info mr-1" [routerLink]="['/inspector', inspector.id]">
          <i class="fa fa-pen" aria-hidden="true"></i>          
        </button>
        <button class = "btn btn-danger" 
          (click)="inactivarInspector(inspector, i)">
          <i class="fa fa-trash"></i>
        </button>
      </td>
      </tr>
    </tbody>
  </table>

  <div *ngIf="!cargando && inspectores.length === 0" class="alert alert-warning text-center mt-3 animated fadeIn faster">
    <h4 class="alert-heading">No hay registros</h4>
    <p>
        <i class = "fa fa-exclamation fa-2x"></i>
    </p>
</div>

  <div *ngIf="cargando" class="alert alert-info text-center mt-3 animated fadeIn faster">
      <h4 class="alert-heading">Cargando</h4>
      <p>
        <i class = "fa fa-sync-alt fa-spin fa-2x"></i>
      </p>
      <p class = "mb-0">
          Espere por favor
      </p>
  </div>